#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int i=0;
    long long int X,Y,Z=0;
    cin >> X >> Y;
    while(X>0||Y>0){
        Z += ((int)pow(10,i))*(X%10>Y%10?X%10:Y%10);
        if(X%10==Y%10&&X%10)
            Z += ((int)pow(10,++i))*(X%10);
        X/=10;Y/=10;
        i++;
    }
    cout << Z;
    return 0;
}